unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs;

type
  TForm1 = class(TForm)
    procedure FormCreate(Sender: TObject);
    procedure FormPaint(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    MyHDC : HDC;
    RT : TRect;
    MyCaption : String;
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  MyHDC := GetWindowDC(Handle);
  SetBkMode(MyHDC,TRANSPARENT);
  SetTextColor(MyHDC,$FFFFFF);
  MyCaption := Caption;
  Caption := '';
  Application.OnDeactivate := FormPaint;
end;

procedure TForm1.FormPaint(Sender: TObject);
begin
  RT := Rect(0,5,width,25);
  DrawText(MyHDC,PChar(MyCaption),Length(MyCaption),RT,DT_CENTER	);
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  DeleteDC(MyHDC);
end;

end.
